<?php
    //Si soporta JavaScript, crea la funcion de ampliar en dicho lenguaje:
    if (isset($javascript_soportado) && $javascript_soportado)
    {
        ?>
        <script language="JavaScript">
        <!--
            function ampliar_imagen(imagen, ancho, alto)
            {
                var sid_get = '?<?php echo $id_sesion; ?>';
                //Se abre la ventana:
                var window_image = window.open(imagen + sid_get, "_blank", "scrollbars=yes,menubar=no,height=" + alto + ",width=" + ancho + ",resizable=yes,toolbar=no,location=no,status=no");
                //Se pone en primer plano la ventana:
                window_image.focus();
            }
        // -->
        </script>
        <?php
    }

    function imagen_ampliable($imagen, $directorio = "", $ancho_ampliado = 400, $alto_ampliado = 400)
    {
        global $javascript_soportado;
        
        //Si esta soportado JavaScript, 
        if (isset($javascript_soportado) && $javascript_soportado)
        {
            echo '<a href="javascript:ampliar_imagen(\'img/'.$directorio."zoom/".$imagen.'\', '.$ancho_ampliado.', '.$alto_ampliado.');"><img src="img/'.$directorio.$imagen.'" border="0" hspace="0" vspace="0" alt=" " title=""></a>';
        }
        //...pero si no, 
        else
        {
            echo '<a href="img/'.$directorio."zoom/".$imagen.'" target="_blank"><img src="img/'.$directorio.$imagen.'" border="0" hspace="0" vspace="0" alt=" " title=""></a>';
        }
    }
?>
